> For the complete documentation index, see [llms.txt](https://docs.stoovo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stoovo.com/getting-started/demo-enpoints.md).

# Demo Enpoints

Contact support to get access to demo endpoint tokens

#### Base URL: `https://geo-srv-002.stoovo.com`

#### API Endpoint: `/demo/details`

* **Method**: POST
* **Description**: Retrieves detailed information for the demo.
* #### Headers
  * **token**: `<your_access_token_here>`

    Make sure to replace `<your_access_token_here>` with the access token provided to you by the sales team. This token is required for authentication and authorization purposes when making a request to the API endpoint.
* **Request Body**:&#x20;

  ```markdown
  ### Request Body

  - `id`: The unique identifier for the object.
  - `kind`: The type or kind of the id. e.g place/restuarant (generally it is place)
  ```
* **Responses**:
  * #### API Response Example
    * Upon successfully processing a request, our API responds with a `200 OK` status code and a JSON payload detailing information about a specified location. Below is an illustrative example of such a response:
  * <pre class="language-json" data-full-width="false"><code class="lang-json"><strong>{
    </strong>    "kind": "place",
        "markerId": "64389905d21459db0b0c1555",
        "createdAt": "2024-02-27T21:02:20.578Z",
        "geometry": {
            "coordinates": [
                -122.4239107,
                37.7723322
            ],
            "type": "Point"
        },
        "isBuilding": true,
        "properties": {
    <strong>        "address": "21 Octavia St, San Francisco, CA 94102",
    </strong>        "kind": "place",
            "name": "21 Octavia St",
            "text": "21 Octavia St",
            "usermodified": false,
            "amenities": {
                "wheelchair": false,
                "elevator": false,
                "deliveryScore": 0,
                "score": 0
            },
            "delivery_time": null,
            "photos": [
                "https://placesphotos.stoovo.com/place/ChIJ3Q-piZ-AhYAR_8uZfUAXAPQ/main/default.png"
            ],
            "correct": 0,
            "incorrect": 0,
            "userReaction": 0,
            "completeData": false,
            "userReview": false,
            "types": [
                "street_address"
            ],
            "isOpenNow": null
        },
        "type": "Feature",
        "demo": true,
        "id": "64389905d21459db0b0c1555"
    }
    </code></pre>
    * This JSON object comprehensively details several attributes associated with the location, including its type, creation date, geographic details, building status, and various other properties like address, name, amenities, and photos, offering a complete overview for client usage.
  * **401 Not Authorized**
    * This status code indicates that the request has not been applied because it lacks valid authentication credentials for the target resource. The server may require HTTP authentication (presented in WWW-Authenticate header fields), or some other form of client identification.

#### API Endpoint: `/demo/parking`

* **Method**: POST
* **Description**: Retrieves detailed information for parking and entrance facilities.
* #### Headers
  * **token**: `<your_access_token_here>`

    Ensure your request header includes a valid access token, provided by the sales team, for authentication.
* **Request Body**:

  <pre class="language-markdown"><code class="lang-markdown"><strong>### Request Body
  </strong>
  - `id`: The unique identifier for the object(address).
  - `kind`: The type or kind of the id. e.g place/restuarant (generally it is place)
  </code></pre>
* **Responses**:
  * #### API Response Example
    * Successful requests are confirmed with a `200 OK` status, returning details about the parking or entrance, as shown in the JSON example below:
    * ```json
      {
          "features": [
              {
                  "geometry": {
                      "type": "Point",
                      "coordinates": [
                          -122.01190331265741,
                          37.39659053580344
                      ]
                  },
                  "properties": {
                      "text": null,
                      "kind": "parking",
                      "id": "1698883019886.6542e5cba07ec243429a25b3",
                      "subKind": null
                  },
                  "type": "Feature"
              },
              {
                  "geometry": {
                      "type": "Point",
                      "coordinates": [
                          -122.01168280281269,
                          37.39669350114852
                      ]
                  },
                  "properties": {
                      "text": null,
                      "kind": "parking",
                      "id": "1707207468232.65c1eb2c7a72fd0d7b03eb0e",
                      "subKind": null
                  },
                  "type": "Feature"
              },
              {
                  "geometry": {
                      "type": "Point",
                      "coordinates": [
                          -122.01172276498929,
                          37.39627203238945
                      ]
                  },
                  "properties": {
                      "text": null,
                      "kind": "parking",
                      "id": "1710738221188.65f7cb2d498450a68aa084b4",
                      "subKind": null
                  },
                  "type": "Feature"
              }
          ],
          "type": "FeatureCollection"
      }
      ```
  * **401 Not Authorized**
    * Indicates failure due to invalid credentials, requiring proper authentication to access the information.

#### API Endpoint: `/demo/entrance`

* **Method**: POST
* **Description**: Retrieves detailed information for parking and entrance facilities.
* #### Headers
  * **token**: `<your_access_token_here>`

    Ensure your request header includes a valid access token, provided by the sales team, for authentication.
* **Request Body**:

  ```markdown
  ### Parameters

  - `id`: The unique identifier for the object(address).
  - `kind`: The type or kind of the id. e.g place/restuarant (generally it is place)
  ```
* #### API Response Example
  * Successful requests are confirmed with a `200 OK` status, returning details about the parking or entrance, as shown in the JSON example below:
  * ```json
    {
        "features": [
            {
                "geometry": {
                    "type": "Point",
                    "coordinates": [
                        -122.01190331265741,
                        37.39659053580344
                    ]
                },
                "properties": {
                    "text": null,
                    "kind": "entrances",
                    "id": "1698883019886.6542e5cba07ec243429a25b3",
                    "subKind": null
                },
                "type": "Feature"
            },
            {
                "geometry": {
                    "type": "Point",
                    "coordinates": [
                        -122.01168280281269,
                        37.39669350114852
                    ]
                },
                "properties": {
                    "text": null,
                    "kind": "entrances",
                    "id": "1707207468232.65c1eb2c7a72fd0d7b03eb0e",
                    "subKind": null
                },
                "type": "Feature"
            },
            {
                "geometry": {
                    "type": "Point",
                    "coordinates": [
                        -122.01172276498929,
                        37.39627203238945
                    ]
                },
                "properties": {
                    "text": null,
                    "kind": "entrances",
                    "id": "1710738221188.65f7cb2d498450a68aa084b4",
                    "subKind": null
                },
                "type": "Feature"
            }
        ],
        "type": "FeatureCollection"
    }
    ```
* **401 Not Authorized**
  * Indicates failure due to invalid credentials, requiring proper authentication to access the information.

#### API Endpoint: `/demo/units`

* **Method**: POST
* **Description**: Retrieves detailed information for various units for a address
* #### Headers
  * **token**: `<your_access_token_here>`

    Ensure your request header includes a valid access token, provided by the sales team, for authentication.
* #### Request Body:

{% code fullWidth="false" %}

```markdown
### Request Body

- `id`: The unique identifier for the object(address).
- `kind`: The type or kind of the id. e.g place/restuarant (generally it is place)
```

{% endcode %}

* **Responses**:
  * **200 OK**
    * Successful requests will return detailed information about the units, as shown in the example below:
    * ```json
      {
          "type": "FeatureCollection",
          "features": [
              {
                  "markerId": "u-705a0c7e5b5470009e3abc48aa050f40-102",
                  "parentPlaceId": "6439c1a8d21459db0b92ed0c",
                  "geometry": {
                      "type": "Point",
                      "coordinates": [
                          -122.01140190442182,
                          37.3965722416235
                      ]
                  },
                  "properties": {
                      "address": "610 E WEDDELL DR, Sunnyvale CA 94089",
                      "unit": 102,
                      "floor": 1,
                      "kind": "unit"
                  },
                  "type": "Feature"
              },
              ...
          ]
      }
      ```
  * **401 Not Authorized**
    * Indicates the request failed due to invalid credentials, requiring proper authentication.

***

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.stoovo.com/getting-started/demo-enpoints.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
